/*
 * muc-tube-stream.h - Header for GabbleMucTubeStream
 * Copyright (C) 2012 Collabora Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __GABBLE_MUC_TUBE_STREAM_H__
#define __GABBLE_MUC_TUBE_STREAM_H__

#include <glib-object.h>

#include "tube-stream.h"

G_BEGIN_DECLS

typedef struct _GabbleMucTubeStream GabbleMucTubeStream;
typedef struct _GabbleMucTubeStreamClass GabbleMucTubeStreamClass;

struct _GabbleMucTubeStreamClass {
  GabbleTubeStreamClass parent_class;
};

struct _GabbleMucTubeStream {
  GabbleTubeStream parent;
};

GType gabble_muc_tube_stream_get_type (void);

/* TYPE MACROS */
#define GABBLE_TYPE_MUC_TUBE_STREAM \
  (gabble_muc_tube_stream_get_type ())
#define GABBLE_MUC_TUBE_STREAM(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj), GABBLE_TYPE_MUC_TUBE_STREAM, GabbleMucTubeStream))
#define GABBLE_MUC_TUBE_STREAM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass), GABBLE_TYPE_MUC_TUBE_STREAM,\
                           GabbleMucTubeStreamClass))
#define GABBLE_IS_MUC_TUBE_STREAM(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj), GABBLE_TYPE_MUC_TUBE_STREAM))
#define GABBLE_IS_MUC_TUBE_STREAM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass), GABBLE_TYPE_MUC_TUBE_STREAM))
#define GABBLE_MUC_TUBE_STREAM_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), GABBLE_TYPE_MUC_TUBE_STREAM,\
                              GabbleMucTubeStreamClass))

G_END_DECLS

#endif /* #ifndef __GABBLE_MUC_TUBE_STREAM_H__ */
